%define tdbmajor 1

%define libtdb   %mklibname tdb %{tdbmajor}
%define tdbdevel %mklibname tdb -d

Name:          tdb
# We shipped it in samba3 versioned with the samba3 version
Epoch:         1
Version:       1.4.13
Release:       %mkrel 2
Group:         System/Libraries
License:       GPLv2
URL:           https://tdb.samba.org/
Summary:       Library implementing Samba's embedded database
Source:        https://www.samba.org/ftp/tdb/tdb-%{version}.tar.gz
Source1:       https://www.samba.org/ftp/tdb/tdb-%{version}.tar.asc
BuildRequires: xsltproc
BuildRequires: docbook-style-xsl
BuildRequires: pkgconfig(python3)

%description
Library implementing Samba's embedded database and utilities for backing up,
restoring and manipulating the database.

%package -n %{libtdb}
Group:         System/Libraries
Summary:       Library implementing Samba's embedded database

%description -n %{libtdb}
Library implementing Samba's embedded database.

%package -n tdb-utils
Group:         Databases
Summary:       Tools for backing up, restoring, and manipulating Samba's embedded database
Conflicts:     samba-server < 3.3.2-2

%description -n tdb-utils
Tools for backing up, restoring, and manipulating Samba's embedded database.

%package -n %{tdbdevel}
Group:         Development/C
Summary:       Library implementing Samba's embedded database
Provides:      tdb-devel = %{epoch}:%{version}-%{release}
Requires:      %{libtdb} = %{epoch}:%{version}-%{release}
# because /usr/include/tdb.h was moved from libsmbclient0-devel to libtdb-devel
Conflicts:     %{mklibname smbclient 0 -d} < 3.2.6-3

%description -n %{tdbdevel}
Library implementing Samba's embedded database.

%package -n python3-tdb
Group:         Development/Python
Summary:       Python3 bindings for the Tdb library
%{?python_provide:%python_provide python3-tdb}

%description -n python3-tdb
Python3 bindings for libtdb.

%prep
%autosetup -p1

# replace removed time.clock()
sed -i -e "s,time\.clock(),time.perf_counter(),g" buildtools/wafsamba/samba_deps.py

# fix for python3.8
sed -i -e "/all_flags/s,\('--libs'\),\1\, '--embed'," third_party/waf/waflib/Tools/python.py

%build
%configure \
           --bundled-libraries=NONE \
           --builtin-libraries=replace \
           --disable-rpath \
           --disable-rpath-install
%make_build

%install
%make_install

%files -n %{libtdb}
%{_libdir}/libtdb.so.%{tdbmajor}{,.*}

%files -n %{tdbdevel}
%{_libdir}/libtdb.so
%{_includedir}/tdb.h
%{_libdir}/pkgconfig/tdb.pc

%files -n tdb-utils
%{_bindir}/tdb*
%{_mandir}/man8/tdb*.8*

%files -n python3-tdb
%{python3_sitearch}/__pycache__/_tdb_text.cpython*.py[co]
%{python3_sitearch}/tdb.cpython*.so
%{python3_sitearch}/_tdb_text.py


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 1:1.4.13-2.mga10
+ Revision: 2243801
- Mageia 10 Mass Rebuild

* Sun Mar 09 2025 daviddavid <daviddavid> 1:1.4.13-1.mga10
+ Revision: 2162389
- new version: 1.4.13

* Wed Feb 26 2025 wally <wally> 1:1.4.12-2.mga10
+ Revision: 2153025
- rebuild for python3.13

* Mon Dec 30 2024 daviddavid <daviddavid> 1:1.4.12-1.mga10
+ Revision: 2131920
- new version: 1.4.12

* Tue Dec 26 2023 joequant <joequant> 1:1.4.9-2.mga10
+ Revision: 2021699
- upgrade to py3.12

* Sat Sep 09 2023 buchan <buchan> 1:1.4.9-1.mga10
+ Revision: 1985626
- Update to 1.4.9

* Fri Oct 21 2022 wally <wally> 1:1.4.7-2.mga9
+ Revision: 1898233
- drop rpath from binaries and pkg-conf .pc file

* Mon Jun 20 2022 luigiwalser <luigiwalser> 1:1.4.7-1.mga9
+ Revision: 1865298
- 1.4.7

* Sun Mar 27 2022 buchan <buchan> 1:1.4.6-3.mga9
+ Revision: 1829458
- Update to 1.4.6

* Sat Mar 19 2022 umeabot <umeabot> 1:1.4.5-3.mga9
+ Revision: 1799653
- Mageia 9 Mass Rebuild

* Sat Feb 12 2022 tv <tv> 1:1.4.5-2.mga9
+ Revision: 1773672
- Rebuild for python-3.10

* Tue Aug 31 2021 buchan <buchan> 1:1.4.5-1.mga9
+ Revision: 1743664
- New version 1.4.5

* Tue Mar 16 2021 tmb <tmb> 1:1.4.3-2.mga9
+ Revision: 1703963
- rebuild for python 3.9

* Sat Apr 18 2020 buchan <buchan> 1:1.4.3-1.mga8
+ Revision: 1568916
- Update to 1.4.3

* Sun Feb 16 2020 umeabot <umeabot> 1:1.3.18-3.mga8
+ Revision: 1531403
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Sep 11 2019 wally <wally> 1:1.3.18-2.mga8
+ Revision: 1439839
- rebuild for python3.8
- drop python2 support

* Sat Mar 09 2019 luigiwalser <luigiwalser> 1:1.3.18-1.mga7
+ Revision: 1372991
- 1.3.18
- remove unnecessary patches

* Sun Jan 20 2019 luigiwalser <luigiwalser> 1:1.3.17-1.mga7
+ Revision: 1358389
- 1.3.17
- add two patches from fedora
- pathfix is no longer used
- python3 is now the default and python2 is the extra-python
- fix hardcoded path to waf (from fedora)

* Mon Jan 07 2019 zezinho <zezinho> 1:1.3.16-4.mga7
+ Revision: 1351146
- rebuild for python3.7

* Wed Nov 28 2018 tv <tv> 1:1.3.16-3.mga7
+ Revision: 1336349
- enable python3 support

* Sun Oct 28 2018 daviddavid <daviddavid> 1:1.3.16-2.mga7
+ Revision: 1326437
- rename python-tdb to python2-tdb
- use new python macros

* Fri Oct 26 2018 bcornec <bcornec> 1:1.3.16-1.mga7
+ Revision: 1325818
- update to upstream tdb-1.3.16 to build samba 4.9.1

* Sun Sep 23 2018 umeabot <umeabot> 1:1.3.15-2.mga7
+ Revision: 1301349
- Mageia 7 Mass Rebuild

* Wed Nov 15 2017 neoclust <neoclust> 1:1.3.15-1.mga7
+ Revision: 1177419
- New version 1.3.15

* Tue May 02 2017 luigiwalser <luigiwalser> 1:1.3.13-1.mga6
+ Revision: 1098254
- 1.3.13

* Wed Dec 07 2016 luigiwalser <luigiwalser> 1:1.3.12-1.mga6
+ Revision: 1073058
- 1.3.12

* Wed Sep 07 2016 luigiwalser <luigiwalser> 1:1.3.11-1.mga6
+ Revision: 1050393
- 1.3.11

* Thu Aug 11 2016 luigiwalser <luigiwalser> 1:1.3.10-1.mga6
+ Revision: 1045496
- 1.3.10

* Fri May 06 2016 luigiwalser <luigiwalser> 1:1.3.9-1.mga6
+ Revision: 1009956
- 1.3.9

* Thu Dec 24 2015 neoclust <neoclust> 1:1.3.8-1.mga6
+ Revision: 914358
- New version 1.3.8

* Wed Sep 23 2015 neoclust <neoclust> 1:1.3.7-1.mga6
+ Revision: 882447
- New version 1.3.7

* Fri Aug 21 2015 tmb <tmb> 1:1.3.6-2.mga6
+ Revision: 867744
- rebuild for new gcc

* Sun Jun 21 2015 luigiwalser <luigiwalser> 1:1.3.6-1.mga6
+ Revision: 837027
- remove upstreamed patch0
- 1.3.6

* Wed Oct 15 2014 umeabot <umeabot> 1:1.3.0-5.mga5
+ Revision: 746671
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1:1.3.0-4.mga5
+ Revision: 730551
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1:1.3.0-3.mga5
+ Revision: 689760
- Mageia 5 Mass Rebuild

* Fri Jun 06 2014 pterjan <pterjan> 1:1.3.0-2.mga5
+ Revision: 634231
- Add patch adding missing include (fixes rhythmbox build)

* Wed May 28 2014 luigiwalser <luigiwalser> 1:1.3.0-1.mga5
+ Revision: 627301
- 1.3.0

* Sat Mar 29 2014 luigiwalser <luigiwalser> 1:1.2.13-1.mga5
+ Revision: 609698
- 1.2.13

* Sat Oct 19 2013 umeabot <umeabot> 1:1.2.12-2.mga4
+ Revision: 528094
- Mageia 4 Mass Rebuild

* Sat Jun 15 2013 luigiwalser <luigiwalser> 1:1.2.12-1.mga4
+ Revision: 443441
- 1.2.12

* Mon Jan 14 2013 umeabot <umeabot> 1:1.2.11-2.mga3
+ Revision: 384198
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 17 2012 buchan <buchan> 1:1.2.11-1.mga3
+ Revision: 332025
- New version 1.2.11

* Thu Aug 16 2012 fedya <fedya> 1:1.2.10-1.mga3
+ Revision: 281503
- version update 1.2.10

* Fri May 13 2011 buchan <buchan> 1:1.2.9-1.mga1
+ Revision: 97818
- New version 1.2.9

* Mon Jan 17 2011 pterjan <pterjan> 1:1.2.7-3.mga1
+ Revision: 21354
- Rebuild for python 2.7

* Wed Jan 12 2011 blino <blino> 1:1.2.7-2.mga1
+ Revision: 6645
- imported package tdb


* Sat Jan 08 2011 Oden Eriksson <oeriksson@mandriva.com> 1:1.2.7-2mdv2011.0
+ Revision: 630224
- P0: tdb: Set _PUBLIC_ in C file rather than header files (Debian bug 600898)

* Fri Jan 07 2011 Buchan Milne <bgmilne@mandriva.org> 1:1.2.7-1mdv2011.0
+ Revision: 629678
- update to new version 1.2.7

* Wed Oct 13 2010 Buchan Milne <bgmilne@mandriva.org> 1:1.2.1-1mdv2011.0
+ Revision: 585254
+ rebuild (emptylog)

* Thu Feb 25 2010 Buchan Milne <bgmilne@mandriva.org> 1:1.2.1-1mdv2010.1
+ Revision: 510916
- import tdb


